Bug 855697

Summary: No way to change the language on Live
Product: [Fedora] Fedora Reporter: Akira TAGOH <tagoh>
Component: control-centerAssignee: Control Center Maintainer <control-center-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: awilliam, control-center-maint, cwickert, elad, fmuellner, maxamillion, mclasen, mfabian, mkasik, otaylor, rstrode, samkraju, tflink, walters
Target Milestone: ---Keywords: i18n
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: AcceptedNTH
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-01-16 00:56:59 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 752665    

Description Akira TAGOH 2012-09-09 23:49:31 EDT
Description of problem:
In practice the logout was required to apply the change of the language in Region & Language on control-center, there are no logout menu from f18 because of _new feature_. this may still works on the installed system, but on Live because it doesn't keep the change on the local storage. so the logout menu should gets back on Live at least.

Version-Release number of selected component (if applicable):
gnome-shell-3.5.5-2.fc18.x86_64

Additional info:
it can be done by running gnome-session-quit from the terminal though, it should be provided on GUI as well.
Comment 1 Matthias Clasen 2012-09-26 20:52:37 EDT
Upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=647373
Comment 2 Tim Flink 2012-12-13 04:29:14 EST
This bug has been proposed as NTH for Fedora 18 final. If accepted as NTH, a fix for this would be considered for pushing to stable past the change freeze. More details about the NTH process is available at http://fedoraproject.org/wiki/QA:SOP_nth_bug_process .

Since there are so may NTH bugs to review, we'd like to find out if there is developer support for accepting this as NTH. If accepted as NTH, would a fix likely be ready in time to be included in Fedora 18 (currently scheduled for 2013-01-08)?

Developers, please respond soon as we will be using these responses to prioritize the order in which we review the proposed NTH bugs.
Comment 3 Elad Alfassa 2012-12-13 05:29:19 EST
The proper way to handle this on live would be adding a small utility that will run in initial-setup mode and allow the user to select a language even before starting the session. Requiring the user to navigate through English menus to change the language is a no-go: there are users who don't speak English.

This utility basically boils down to:
1) get a language list (incl. native names, not English names only)
2) set the system language according to the user selection

Sounds simple enough to implement, if anyone has the time to do that...
Comment 4 Akira TAGOH 2012-12-13 06:13:58 EST
(In reply to comment #3)
> The proper way to handle this on live would be adding a small utility that
> will run in initial-setup mode and allow the user to select a language even
> before starting the session. Requiring the user to navigate through English
> menus to change the language is a no-go: there are users who don't speak
> English.
> 
> This utility basically boils down to:
> 1) get a language list (incl. native names, not English names only)
> 2) set the system language according to the user selection
> 
> Sounds simple enough to implement, if anyone has the time to do that...

That said it sounds like you nack'd your idea by yourself. how does that small tool decide what language is better for non-English speaker? doesn't it require the user to nativate through to select the language?
Comment 5 Elad Alfassa 2012-12-13 06:21:51 EST
I don't understand your question.
I never said this tool would be automatic, I said "user selection", meaning that it will display a list of languages after you boot the machine (which is what we call initial-setup mode) and allow you to chose your native one.

It is the only proper way to handle this issue, because you really don't want to present the users with English UI when they first see the system, especially if they do not speak English.
Comment 6 Matthias Clasen 2012-12-13 06:24:30 EST
(In reply to comment #3)
> The proper way to handle this on live would be adding a small utility that
> will run in initial-setup mode and allow the user to select a language even
> before starting the session. Requiring the user to navigate through English
> menus to change the language is a no-go: there are users who don't speak
> English.
> 
> This utility basically boils down to:
> 1) get a language list (incl. native names, not English names only)
> 2) set the system language according to the user selection
> 
> Sounds simple enough to implement, if anyone has the time to do that...

I tried to make the current try-or-install welcome window do this at some point, but couldn't quite figure out how change its own language, and then put it down.
Comment 7 Akira TAGOH 2012-12-13 06:33:38 EST
(In reply to comment #5)
> I don't understand your question.
> I never said this tool would be automatic, I said "user selection", meaning
> that it will display a list of languages after you boot the machine (which
> is what we call initial-setup mode) and allow you to chose your native one.
> 
> It is the only proper way to handle this issue, because you really don't
> want to present the users with English UI when they first see the system,
> especially if they do not speak English.

I don't even disagree with seeing English strings to select the language. it's your idea and you said it's not acceptable too, no? I just read it so from "Requiring the user to navigate through English menus to change the language is a no-go" but anyway.
Comment 8 Elad Alfassa 2012-12-13 06:41:47 EST
If the screen with the language list is displayed on startup, then the user wouldn't need to navigate through menus - they would just need to find the language in the list.

Again, this should be simple enough to implement, provided someone with enough free time will step up and do it. Even if it's not ready for F18, it will be also useful for future releases.
Comment 9 Adam Williamson 2012-12-19 14:53:15 EST
Discussed at 2012-12-19 NTH review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-19/f18final-blocker-review-6.2012-12-19-17.02.log.txt .

While this downstream bug is getting vague and messy, the upstream one got very clear and a fix actually showed up:

https://bugzilla.gnome.org/show_bug.cgi?id=647373#c22

so we accept this as NTH on the basis that what we're 'approving' is a backport of that upstream patch to control-center. This is not a green light to write an entire new applet for the startup process or anything like that. If GNOME team wants to backport the upstream c-c patch, please go ahead and submit it as an update.

The proposal for some kind of new app on startup should probably be separated into another bug.
Comment 10 Fedora End Of Life 2013-12-21 03:50:56 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Jens Petersen 2014-01-16 00:56:59 EST
This is fixed in F19/gnome-3.8 with the addition of the logout
button in control-center.